Subject: warning: ignoring unknown core.fsync component 'true'

From: "Wang, Jinfeng (CN)" <[email-masked]>
Date: Wed, 23 Jul 2025 11:07:37 +0800

Hi all,

For a specific git repo, when I clone or fetch the repo, I encounters 
the warning

remote: warning: ignoring unknown core.fsync component 'true'
remote: Enumerating objects: 41, done.
remote: Total 41 (delta 0), reused 0 (delta 0), pack-reused 41
Unpacking objects: 100% (41/41), 37.51 MiB | 10.91 MiB/s, done.

But after clone the repo, I didn't see core.fsync in my .git/config. And 
there isn't anything relates core.fsync.

I also tried git with different version (2.25.1 and 2.34.1) to clone the 
repo, both will show this warning. What configuration causes this warning?

Regards.

Jinfeng